include:
  - project: gitlab-ci-cd/drupal
    ref: main
    file: /check4updates.yml
  - project: gitlab-ci-cd/drupal
    ref: main
    file: /test-and-deploy.yml
  - project: $LAKEDROPS_CI_PROJECT
    ref: $LAKEDROPS_CI_REF
    file: $LAKEDROPS_CI_FILE
  - project: gitlab-ci-cd/drupal
    ref: main
    file: /tests/lakedrops.yml
    rules:
      - if: $INCLUDELAKEDROPSTESTS == "yes"
  - project: gitlab-ci-cd/drupal
    ref: main
    file: /tests/gitlab.yml
    rules:
      - if: $INCLUDEGITLABTESTS == "yes"

Build Prod Site:
  extends: '.build-prod'

Build Prod Site NG:
  extends: '.build-prod-ng'

Build Site:
  extends: '.build'

Download DB:
  extends: '.dumpdb'

Download DB NG:
  extends: '.dumpdbNG'

Import DB:
  extends: '.importdb'

Import DB NG:
  extends: '.importdbNG'

Import Local DB:
  extends: '.importdbLocal'

Import Install DB:
  extends: '.importdbInstall'

Update DB:
  extends: '.updatedb'

Build Theme:
  extends: '.theme'

Deploy:
  extends: '.deployartefact'

DeployNG:
  extends: '.deployartefact-ng'

Shut Down Docker Project:
  extends: '.shutdowndockerproject'
